/* 
    Zeta Dva, yet another amateur level chess engine
    Author: Srdja Matovic <srdja@matovic.de>
    Created at: 15-Jan-2011
    Updated at:
    Description: Amateur chesss programm

    Copyright (C) 2011 Srdja Matovic
    This program is distributed under the GNU General Public License.
    See file COPYING or http://www.gnu.org/licenses/

*/


#if !defined(BOOK_H_INCLUDED)
#define BOOK_H_INCLUDED

#include <stdio.h>
#include <string.h>
#include "types.h"
#include "bitboard.h"

void book_init();

void book_open();
void book_close ();

Move book_move(Bitboard *board, Boardindex *bindex, int som, Move lastmove);

U64 book_gen_key(Bitboard *board, int som, Move lastmove);

extern U64 Random64[781];
extern U64 *RandomPiece;
extern U64 *RandomCastle;
extern U64 *RandomEnPassant;
extern U64 *RandomTurn;

#endif
