/* 
    Zeta Dva, yet another amateur level chess engine
    Author: Srdja Matovic <srdja@matovic.de>
    Created at: 15-Jan-2011
    Updated at:
    Description: Amateur chesss programm

    Copyright (C) 2011 Srdja Matovic
    This program is distributed under the GNU General Public License.
    See file COPYING or http://www.gnu.org/licenses/

*/

#if !defined(EVAL_H_INCLUDED)
#define EVAL_H_INCLUDED

#include "types.h"
#include "bitboard.h"

extern Score eval(Bitboard *board, Boardindex *bindex, int som, int kic, int ply);
Score evalIncrement(Bitboard *board, Boardindex *bindex, int side, Piece piece, Square square);
extern Score evalMove(int piece, Square pos, int side);

extern const Score EvalControl[64];
extern const Score EvalPieceValues[9];
extern const Score EvalTable[9][64];
extern const Score EvalKingTable[2][64];
#endif

